: Interface ControlCommand

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.ssi.commands
Interface ControlCommand

All Known Implementing Classes:
  ElseCommand, EndifCommand, IfCommand, LoopCommand, ExitloopCommand, EndloopCommand

public interface ControlCommand
extends Command

This interface is used to supply implementations of SSI commands. They have to be registered in a CommandRegistry, which in turn is used by the SSIFrame. A control command is a command like loop or if witch can modify the way to execute commands. A control command have to register is position and to know the next position. A position is an integer, witch can be an array index.

See Also:
  `CommandRegistry`

Method Summary
`int` | `jumpTo(SSIFrame ssiframe, Request request, CommandRegistry registry, ArrayDictionary parameters, java.util.Dictionary variables)` Give the next position in the structure witch store the SSIFrame.
`void` | `setPosition(SSIFrame ssiframe, Request request, CommandRegistry registry, ArrayDictionary parameters, java.util.Dictionary variables, int position)` register the command position in the structure witch store the SSIFrame.

Methods inherited from interface org.w3c.jigsaw.ssi.commands.Command
`acceptCaching, execute, getName, getValue`

Method Detail

### setPosition

    public void setPosition(SSIFrame ssiframe,
                            Request request,
                            CommandRegistry registry,
                            ArrayDictionary parameters,
                            java.util.Dictionary variables,
                            int position)

  register the command position in the structure witch store the SSIFrame.

### jumpTo

    public int jumpTo(SSIFrame ssiframe,
                      Request request,
                      CommandRegistry registry,
                      ArrayDictionary parameters,
                      java.util.Dictionary variables)
               throws ControlCommandException

  Give the next position in the structure witch store the SSIFrame.
  Returns:
    An integer
  Throws:
    ControlCommandException - if action failed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD